%define _disable_ld_no_undefined 1

%define	major 1
%define libname	%mklibname jingle %{major}
%define libnamedev %mklibname -d jingle
%define libnamestaticdev %mklibname jingle -d -s


Summary:	Google Talk's implementation of Jingle and Jingle-Audio
Group:		System/Servers
Name:		libjingle
Version:	0.5.2
Release:	%mkrel 2
License:	BSD
URL:            http://code.google.com/apis/talk/libjingle/
Source0:        http://libjingle.googlecode.com/files/%{name}-%{version}.zip
Patch0:		libjingle-0.5.1-build-sanity.patch
# talk/base/basictypes.h and talk/base/logging.h must be included 
# before any header with __BEGIN_DECLS, notably, sys/types.h
Patch1:		libjingle-0.5.1-C-linkage-fix.patch
# We need <cstdlib> for NULL.
Patch2:		libjingle-0.5.2-NULL-fix.patch
# In file included from /usr/include/fcntl.h:41:0,
#                 from physicalsocketserver.cc:37:
#/usr/include/bits/stat.h:91:21: error: field 'st_atim' has incomplete type
#/usr/include/bits/stat.h:92:21: error: field 'st_mtim' has incomplete type
#/usr/include/bits/stat.h:93:21: error: field 'st_ctim' has incomplete type
# FIX: Include <time.h> first.
Patch3:		libjingle-0.5.1-statfix.patch
# md5.h had a typedef for uint32 that did not match the one in basictypes.h
Patch4:		libjingle-0.5.1-uint32-fix.patch
# thread.cc: In static member function ?static bool talk_base::Thread::SleepMs(int)?:
# thread.cc:199:19: error: aggregate ?timespec ts? has incomplete type and cannot be defined
# thread.cc:202:34: error: ?nanosleep? was not declared in this scope
# This happens because a local header is included before time.h
Patch5:		libjingle-0.5.1-timefix.patch
# unixfilesystem.cc wouldn't compile.
Patch6:		libjingle-0.5.1-unixfilesystemfix.patch
# Google seems to love to be stupid with headers.
# Especially when they're in "third_party" code.
# Hardcoding paths in include files is dumb.
Patch7:		libjingle-0.5.1-system-expat.patch
Patch8:		libjingle-0.5.1-system-srtp.patch
# Fix devicemanager.cc to compile, alsa as linux default
Patch9:		libjingle-0.5.2-devicemanager-alsafix.patch
# Fix v4llookup.cc to compile
Patch10:	libjingle-0.5.1-v4llookup-fix.patch
# Fix type and definition conflicts with Chromium
Patch11:        libjingle-0.5.1-fixconflict.patch
# Fix 64bit typedefs to not conflict with Chromium, nspr
Patch12:        libjingle-0.5.1-64bittypes.patch
# From Chromium, make qname threadsafe
Patch13:	libjingle-0.5.1-qname-threadsafe.patch
# Make sure linux.h/linux.cc pulls in config.h for LINUX define
Patch14:	libjingle-0.5.1-config-linux.patch
# Chromium 12 forks libjingle. Again. :P
Patch15:	libjingle-0.5.2-chromium12-changes.patch
# Fix 0.5.2 compilation
Patch16:	libjingle-0.5.2-compilefix.patch
# Fix missing cstdlib for size_t
Patch17:	libjingle-0.5.2-size_t.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel 
BuildRequires:	dbus-devel 
BuildRequires:	openssl-devel 
BuildRequires:	expat-devel
BuildRequires:	srtp-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig 
BuildRequires:	kernel-headers
BuildRequires:	libudev-devel
BuildRequires:	libalsa-devel

%description
Libjingle is a set of C++ components provided by Google to interoperate with
Google Talk's peer-to-peer and voice calling capabilities. The package includes
source code for Google's implementation of Jingle and Jingle-Audio, two
proposed extensions to the XMPP standard that are currently available in
experimental draft form.

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/relayserver
%{_bindir}/stunserver


#------------------------------------------------------------------------------
%package -n %{libname}
Summary:	Shared Google Talk's implementation of Jingle and Jingle-Audio library
Group:          System/Libraries

%description -n	%{libname}
Libjingle is a set of C++ components provided by Google to interoperate with
Google Talk's peer-to-peer and voice calling capabilities. The package includes
source code for Google's implementation of Jingle and Jingle-Audio, two
proposed extensions to the XMPP standard that are currently available in
experimental draft form.

This package contains the shared %{name} library.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}*.so.%{major}*


#------------------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Static library and header files for the %{name} library
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Libjingle is a set of C++ components provided by Google to interoperate with
Google Talk's peer-to-peer and voice calling capabilities. The package includes
source code for Google's implementation of Jingle and Jingle-Audio, two
proposed extensions to the XMPP standard that are currently available in
experimental draft form.

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-0.5
%{_libdir}/%{name}*.so


#------------------------------------------------------------------------------
%package -n %{libnamestaticdev}
Summary:	Static files for the %{name} library
Group:		Development/C++
Requires:	%{libnamedev} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{libnamestaticdev}
This package contains the static %{name} library and its header files
needed to compile applications such as stegdetect, etc.

%files -n %{libnamestaticdev}
%defattr(-,root,root)
%{_libdir}/%{name}*.a
%{_libdir}/%{name}*.la


#------------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .SANITY
%patch1 -p1 -b .linkage
#
%patch2 -p1 -b .NULL
%patch3 -p1 -b .statfix
%patch4 -p1 -b .uint32
%patch5 -p1 -b .timefix
%patch6 -p1 -b .unixfilesystem
#
%patch7 -p1 -b .system-expat
%patch8 -p1 -b .system-srtp
#
%patch9 -p1 -b .alsa
%patch10 -p1 -b .v4lfix
%patch11 -p1 -b .fixconflict
%patch12 -p1 -b .64bit
%patch13 -p1 -b .threadsafe
#
%patch14 -p1 -b .config
#
%patch15 -p1 -b .chromium12
%patch16 -p1 -b .compilefix
%patch17 -p1 -b .size_t

touch NEWS ChangeLog

%build
autoreconf -i
%configure2_5x LDFLAGS=' -Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags '

## Remove rpath.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}




%changelog

* Mon Apr 02 2012 pterjan <pterjan> 0.5.2-2.mga2
+ Revision: 227797
- Rebuild after libexpat.la removal

* Thu Jun 30 2011 ze <ze> 0.5.2-1.mga2
+ Revision: 116292
- add missing buildrequire for alsa support
- imported package libjingle


* Fri Jun 03 2011 Z <ze@mandriva.org> 0.5.2-1.mde1
- version 0.5.2
- arrange spec
- requires to release
- put static files in proper static package
- drop patch0
- import fedora patches

* Fri Oct 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.12-1mdv2009.1
+ Revision: 294791
- 0.3.12 (0.4.0 will be another package)
- fix linkage, still _disable_ld_no_undefined has to be used
- 0.4.0
- added other gcc43 patches (more fixes needed)
- added a gcc43 patch from fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 0.3.11-1mdv2008.0
+ Revision: 50828
- New version


* Tue Oct 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.10-1mdv2007.0
+ Revision: 63091
- New release 0.3.10
- Clean specfile
- Rediff Patch0
- import libjingle-0.3.0-3mdv2007.0

* Wed Jun 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-3mdv2007.0
- libified
- added some libtool fixes (P0)
- added fixes from tapioca svn trunk (P1)
- added P2,P3,P4 from the sf tracker
- added lib64 fixes

* Fri Apr 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-2mdk
- Add post/postun

* Fri Apr 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-1mdk
- First Mandriva release

